Loading...
Searching...
No Matches
volk_8u_x3_encodepolarpuppet_8u.h File Reference
`#include <volk/volk.h>`
`#include <volk/volk_8u_x3_encodepolar_8u_x2.h>`

Go to the source code of this file.

## Macros

#define | VOLK_KERNELS_VOLK_VOLK_8U_X3_ENCODEPOLARPUPPET_8U_A_H_

## Functions

static unsigned int | next_lower_power_of_two (const unsigned int val)
static void | adjust_frozen_mask (unsigned char *mask, const unsigned int frame_size)
static void | volk_8u_x3_encodepolarpuppet_8u_generic (unsigned char *frame, unsigned char *frozen_bit_mask, const unsigned char *frozen_bits, const unsigned char *info_bits, unsigned int frame_size)
static void | volk_8u_x3_encodepolarpuppet_8u_u_ssse3 (unsigned char *frame, unsigned char *frozen_bit_mask, const unsigned char *frozen_bits, const unsigned char *info_bits, unsigned int frame_size)
static void | volk_8u_x3_encodepolarpuppet_8u_a_ssse3 (unsigned char *frame, unsigned char *frozen_bit_mask, const unsigned char *frozen_bits, const unsigned char *info_bits, unsigned int frame_size)

## Macro Definition Documentation

## VOLK_KERNELS_VOLK_VOLK_8U_X3_ENCODEPOLARPUPPET_8U_A_H_

#define VOLK_KERNELS_VOLK_VOLK_8U_X3_ENCODEPOLARPUPPET_8U_A_H_

## Function Documentation

## adjust_frozen_mask()

void adjust_frozen_mask | ( | unsigned char * | mask,
|  | const unsigned int | frame_size )

inline static

## next_lower_power_of_two()

unsigned int next_lower_power_of_two | ( | const unsigned int | val | ) |

inline static

## volk_8u_x3_encodepolarpuppet_8u_a_ssse3()

void volk_8u_x3_encodepolarpuppet_8u_a_ssse3 | ( | unsigned char * | frame,
|  | unsigned char * | frozen_bit_mask,
|  | const unsigned char * | frozen_bits,
|  | const unsigned char * | info_bits,
|  | unsigned int | frame_size )

inline static

## volk_8u_x3_encodepolarpuppet_8u_generic()

void volk_8u_x3_encodepolarpuppet_8u_generic | ( | unsigned char * | frame,
|  | unsigned char * | frozen_bit_mask,
|  | const unsigned char * | frozen_bits,
|  | const unsigned char * | info_bits,
|  | unsigned int | frame_size )

inline static

## volk_8u_x3_encodepolarpuppet_8u_u_ssse3()

void volk_8u_x3_encodepolarpuppet_8u_u_ssse3 | ( | unsigned char * | frame,
|  | unsigned char * | frozen_bit_mask,
|  | const unsigned char * | frozen_bits,
|  | const unsigned char * | info_bits,
|  | unsigned int | frame_size )

inline static